Create an order memo - Fabric
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Create an order memo
cURL
curl --request POST \
--url https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/orders/{id}/memos/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"purchase_order_number": "PO-45678",
"ordered_at": "2024-03-15T08:00:00Z",
"customer_order_number": "CUST-20230401-XYZ",
"retailer_order_number": "RET-89012",
"brand_identifier": "BRD-001",
"connection_id": 101,
"requested_shipping_method_id": 5,
"allow_shipping_label_generation": true,
"shipping_charged": "10.00",
"is_gift": false,
"gift_fee": "5.00",
"is_replacement": false,
"acknowledged_at": "2024-03-16T09:00:00Z",
"fulfilled_at": "2024-03-17T10:00:00Z",
"pickup_on": "2024-03-18",
"on_hold_at": "2024-03-19T11:00:00Z",
"on_hold_until": "2024-03-25",
"backordered_until": "2024-04-01T08:00:00Z",
"backorder_acknowledged_at": "2024-03-28T08:00:00Z",
"canceled_at": "2024-03-29T08:00:00Z",
"fill_time": "48.00",
"signature": "required",
"is_priority": true
}
'
import requests
url = "https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/orders/{id}/memos/"
payload = {
"purchase_order_number": "PO-45678",
"ordered_at": "2024-03-15T08:00:00Z",
"customer_order_number": "CUST-20230401-XYZ",
"retailer_order_number": "RET-89012",
"brand_identifier": "BRD-001",
"connection_id": 101,
"requested_shipping_method_id": 5,
"allow_shipping_label_generation": True,
"shipping_charged": "10.00",
"is_gift": False,
"gift_fee": "5.00",
"is_replacement": False,
"acknowledged_at": "2024-03-16T09:00:00Z",
"fulfilled_at": "2024-03-17T10:00:00Z",
"pickup_on": "2024-03-18",
"on_hold_at": "2024-03-19T11:00:00Z",
"on_hold_until": "2024-03-25",
"backordered_until": "2024-04-01T08:00:00Z",
"backorder_acknowledged_at": "2024-03-28T08:00:00Z",
"canceled_at": "2024-03-29T08:00:00Z",
"fill_time": "48.00",
"signature": "required",
"is_priority": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
purchase_order_number: 'PO-45678',
ordered_at: '2024-03-15T08:00:00Z',
customer_order_number: 'CUST-20230401-XYZ',
retailer_order_number: 'RET-89012',
brand_identifier: 'BRD-001',
connection_id: 101,
requested_shipping_method_id: 5,
allow_shipping_label_generation: true,
shipping_charged: '10.00',
is_gift: false,
gift_fee: '5.00',
is_replacement: false,
acknowledged_at: '2024-03-16T09:00:00Z',
fulfilled_at: '2024-03-17T10:00:00Z',
pickup_on: '2024-03-18',
on_hold_at: '2024-03-19T11:00:00Z',
on_hold_until: '2024-03-25',
backordered_until: '2024-04-01T08:00:00Z',
backorder_acknowledged_at: '2024-03-28T08:00:00Z',
canceled_at: '2024-03-29T08:00:00Z',
fill_time: '48.00',
signature: 'required',
is_priority: true
})
};
fetch('https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/orders/{id}/memos/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


201
{
"purchase_order_number": "1234-100000",
"ordered_at": "2017-08-01T12:00:00Z",
"id": 1016,
"customer_order_number": "100000",
"retailer_order_number": "1225466845",
"brand_identifier": "423432322",
"retailer": {
"name": "Demo Retailer",
"code": "demo-retailer",
"id": 500,
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",
"joined_at": "2021-08-03T17:24:12Z",
"is_rcn_retailer": false,
"is_onboarded": false,
"platform": "fabric",
"requires_subscription": "disabled",
"brand_permit_creation_allowed": false,
"website": "https://demoabc.com",
"status": "active"
},
"brand": {
"code": "demo-brand",
"id": 500,
"name": "Marla Cielo",
"joined_at": "2022-09-10T15:24:56Z",
"logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",
"cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",
"profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",
"website": null,
"is_onboarded": false,
"is_on_rcn": false,
"requires_subscription": "enabled",
"subscription_expires_at": "2024-09-19T13:32:10Z",
"grace_period_ends_at": "2024-10-26T13:32:10Z",
"subscription_is_expired": false,
"subscription_is_on_grace_period": false,
"subscription_is_delinquent": false,
"inventory_policy": "managed",
"status": "active"
},
"brands": [\
{\
"code": "demo-brand",\
"id": 500,\
"name": "Marla Cielo",\
"joined_at": "2022-09-10T15:24:56Z",\
"logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",\
"cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",\
"profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",\
"website": null,\
"is_onboarded": false,\
"is_on_rcn": false,\
"requires_subscription": "enabled",\
"subscription_expires_at": "2024-09-19T13:32:10Z",\
"grace_period_ends_at": "2024-10-26T13:32:10Z",\
"subscription_is_expired": false,\
"subscription_is_on_grace_period": false,\
"subscription_is_delinquent": false,\
"inventory_policy": "managed",\
"status": "active"\
}\
],
"connection_id": 10,
"shipping_method": {
"name": "White Glove Bronze",
"code": "cory_white_glove",
"id": 5,
"type": "ltl (less than truck load)",
"carrier": {
"id": 229,
"name": "Cory Companies",
"code": "CJCD"
},
"generic_shipping_method": {
"name": "LTL",
"description": "Less than truckload (LTL)",
"id": 5,
"type": "ltl"
}
},
"requested_shipping_method_id": 768,
"requested_shipping_method": {
"name": "LTL",
"description": "Less than truckload (LTL)",
"id": 5,
"type": "ltl"
},
"shipment_count": 1,
"invoice_count": 1,
"bill_to": {
"name1": "Demo Brand, Inc",
"street1": "1332 Hermosa Ave",
"city": "Hermosa Beach",
"province": "CA",
"postal_code": "90254",
"country": "US",
"id": 10,
"type": "residential",
"name2": null,
"street2": null,
"phone1": "3105551212",
"phone2": "3105551213",
"fax": null,
"email": null,
"federal_tax_id": null
},
"sold_to": {
"name1": "Demo Brand, Inc",
"street1": "1332 Hermosa Ave",
"city": "Hermosa Beach",
"province": "CA",
"postal_code": "90254",
"country": "US",
"id": 10,
"type": "residential",
"name2": null,
"street2": null,
"phone1": "3105551212",
"phone2": "3105551213",
"fax": null,
"email": null,
"federal_tax_id": null
},
"ship_to": {
"name1": "Demo Brand, Inc",
"street1": "1332 Hermosa Ave",
"city": "Hermosa Beach",
"province": "CA",
"postal_code": "90254",
"country": "US",
"id": 10,
"type": "residential",
"name2": null,
"street2": null,
"phone1": "3105551212",
"phone2": "3105551213",
"fax": null,
"email": null,
"federal_tax_id": null
},
"ship_from": {
"name1": "Demo Brand, Inc",
"street1": "1332 Hermosa Ave",
"city": "Hermosa Beach",
"province": "CA",
"postal_code": "90254",
"country": "US",
"id": 10,
"type": "residential",
"name2": null,
"street2": null,
"phone1": "3105551212",
"phone2": "3105551213",
"fax": null,
"email": null,
"federal_tax_id": null
},
"return_to": {
"name1": "Demo Brand, Inc",
"street1": "1332 Hermosa Ave",
"city": "Hermosa Beach",
"province": "CA",
"postal_code": "90254",
"country": "US",
"id": 10,
"type": "residential",
"name2": null,
"street2": null,
"phone1": "3105551212",
"phone2": "3105551213",
"fax": null,
"email": null,
"federal_tax_id": null
},
"allow_shipping_label_generation": true,
"subtotal_charged": "25.96",
"shipping_charged": "2.99",
"is_gift": false,
"gift_fee": null,
"is_replacement": false,
"status": "open",
"currency": {
"id": 1,
"name": "United States Dollar",
"symbol": "$",
"unit": "USD"
},
"is_acknowledged": false,
"acknowledged_at": "2022-08-01T12:00:00Z",
"fulfill_by": "2022-12-19T03:59:59Z",
"fulfilled_at": null,
"closed_at": null,
"received_at": null,
"is_on_hold": false,
"pickup_on": null,
"on_hold_at": null,
"on_hold_until": null,
"backordered_until": null,
"backorder_acknowledged_at": null,
"canceled_at": null,
"updated_at": "2022-08-03T17:45:11Z",
"order_lines": [\
{\
"quantity": 2,\
"ordered_at": "2022-08-01T12:00:00Z",\
"id": 10013,\
"order_line_number": "SampleOL-1",\
"quantity_open": 2,\
"quantity_shipped": 0,\
"quantity_returned": 0,\
"quantity_canceled": 0,\
"quantity_invoiced": 0,\
"packages_per_quantity": 123,\
"price": "8.99",\
"net_price": "5.39",\
"subtotal": "17.98",\
"estimated_price": null,\
"shipping_charged": "0.00",\
"gift_fee": null,\
"subtotal_charged": "17.98",\
"tax_charged": "0.00",\
"total_charge": "12",\
"status": "open",\
"fulfill_by": "2022-12-19T03:59:59Z",\
"canceled_at": null,\
"backordered_until": null,\
"variant": "<string>",\
"metadata": [\
{\
"id": 456,\
"name": "MD143",\
"value": "12",\
"type": "string",\
"created_at": "2022-09-10T15:24:56Z"\
}\
]\
}\
],
"cancels": [\
{\
"reason_id": 879,\
"id": 456,\
"retailer": {\
"code": "hobie_store",\
"name": "Hobie Store",\
"id": 510\
},\
"brand": {\
"code": "marla-store",\
"id": 456,\
"name": "Marla Store"\
},\
"canceled_at": null,\
"canceled_by": "retailer",\
"cancel_lines": [\
{\
"id": 7898,\
"variant": "Var1",\
"quantity": 3,\
"estimated_availability_date": "12-12-2022"\
}\
],\
"order_id": "5465",\
"purchase_order_number": "CS192168",\
"reason": "Incorrect",\
"acknowledged_at": "2022-09-10T15:24:56Z"\
}\
],
"shipments": [\
{\
"order_id": 677,\
"id": 767,\
"batch_number": 6,\
"label_reference": "Sample label 123",\
"ordered_at": "2021-09-10T15:24:56Z",\
"customer_order_number": "765637",\
"retailer_order_number": "66367",\
"purchase_order_number": "PO-576",\
"shipping_method": {\
"name": "White Glove Bronze",\
"code": "cory_white_glove",\
"id": 5,\
"type": "ltl (less than truck load)",\
"carrier": {\
"id": 229,\
"name": "Cory Companies",\
"code": "CJCD"\
},\
"generic_shipping_method": {\
"name": "LTL",\
"description": "Less than truckload (LTL)",\
"id": 5,\
"type": "ltl"\
}\
},\
"shipping_account": {\
"nickname": "Hobie FedEx",\
"id": 3,\
"owner": "Sample Owner",\
"carrier": {\
"id": 229,\
"name": "Cory Companies",\
"code": "CJCD"\
},\
"is_first_party_bill": true\
},\
"tracking_number": "1Z9999999999999988",\
"tracking_url": "https://wwwapps.demo.com/WebTracking/track?track=yes&trackNums=1Z9999999999999988",\
"tracking": {\
"picked_up_at": "2022-08-10T15:24:56Z",\
"delivered_at": "2022-09-10T15:24:56Z",\
"tracking_details": [\
{\
"Time": "10-10-2022",\
"status": "Delivered",\
"status_detail": "Out for delivery",\
"id": 78895456,\
"country": "USA",\
"state": "New york",\
"city": "New york",\
"postal_code": "123R32"\
}\
]\
},\
"status": "Shipped",\
"is_acknowledged": true,\
"has_commercial_invoice": true,\
"canceled_at": null,\
"sold_to": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"ship_to": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"ship_from": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"ship_weight": 10,\
"ship_width": 1,\
"ship_length": 1,\
"ship_height": 1,\
"ship_girth": "<string>",\
"ship_volume": 4,\
"valid_packing_slip": true,\
"valid_shipping_label": true,\
"shipping_provider_identifier": "shp_3a61e10243da49ab92f0e3861d5d256b",\
"error_logs": {\
"id": 677,\
"message": "Sample errors to fix",\
"count": 12,\
"created_at": "2022-08-10T15:24:56Z"\
},\
"acknowledged_at": "2022-08-10T15:24:56Z",\
"closed_at": null,\
"delivered_at": "2022-09-10T15:24:56Z",\
"shipped_at": "2022-09-10T15:24:56Z",\
"updated_at": "2022-09-10T15:25:56Z",\
"created_at": "2022-09-10T15:24:56Z",\
"shipment_lines": [\
{\
"id": 1001,\
"order_line_number": "1001",\
"quantity": 1,\
"part": 1,\
"freight_class": 50,\
"updated_at": "2022-09-10T15:24:56Z",\
"variant": {\
"id": 249,\
"name": "Var45",\
"brand": {\
"code": "marla-store",\
"id": 456,\
"name": "Marla Store"\
},\
"identifier": "123-DEF12345",\
"brand_identifier": "HATR",\
"upc": 555555555202,\
"retailer_identifiers": [\
{\
"id": 5642,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"identifier": "SKU976",\
"name": "Retailer Sample"\
}\
]\
}\
}\
],\
"signature": null,\
"brand": {\
"code": "demo-brand",\
"id": 500,\
"name": "Marla Cielo",\
"joined_at": "2022-09-10T15:24:56Z",\
"logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",\
"cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",\
"profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",\
"website": null,\
"is_onboarded": false,\
"is_on_rcn": false,\
"requires_subscription": "enabled",\
"subscription_expires_at": "2024-09-19T13:32:10Z",\
"grace_period_ends_at": "2024-10-26T13:32:10Z",\
"subscription_is_expired": false,\
"subscription_is_on_grace_period": false,\
"subscription_is_delinquent": false,\
"inventory_policy": "managed",\
"status": "active"\
},\
"invoice_number": "RC123456"\
}\
],
"attachments": [\
{\
"id": 268,\
"content_type": 1,\
"object_id": 666,\
"file": "Sample file",\
"uploaded_by": 646,\
"visible_by": "connections",\
"original_filename": "Sample1",\
"filename": "Sample1",\
"tags": [\
{\
"tag": "demotag",\
"id": 432\
}\
],\
"url": "https://assets.sample.com/attachments/path_to_attachment/attachment.pdf"\
}\
],
"memos": [\
{\
"id": 1234,\
"text": "Immediate requirement",\
"visibility": "any",\
"acknowledged_at": "2022-01-10T15:24:56Z",\
"notify_people": true,\
"created_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"created_by_context": "retailer",\
"created_at": "2021-09-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],
"memos_count": 1,
"unread_memos_count": 0,
"tags": [\
{\
"id": 536,\
"tag": "Demo tag",\
"created_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"created_at": "2022-09-10T15:24:56Z",\
"updated_at": "2022-10-10T15:24:56Z"\
}\
],
"gift_message": "Gift",
"fill_time": null,
"invoices": [\
{\
"invoice_number": "RC123456",\
"id": 1,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"brand": {\
"code": "demo-brand",\
"id": 500,\
"name": "Marla Cielo",\
"joined_at": "2022-09-10T15:24:56Z",\
"logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",\
"cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",\
"profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",\
"website": null,\
"is_onboarded": false,\
"is_on_rcn": false,\
"requires_subscription": "enabled",\
"subscription_expires_at": "2024-09-19T13:32:10Z",\
"grace_period_ends_at": "2024-10-26T13:32:10Z",\
"subscription_is_expired": false,\
"subscription_is_on_grace_period": false,\
"subscription_is_delinquent": false,\
"inventory_policy": "managed",\
"status": "active"\
},\
"connection_id": 2,\
"currency": {\
"id": 1,\
"name": "United States Dollar",\
"symbol": "$",\
"unit": "USD"\
},\
"terms_type": "Previously agreed upon",\
"terms_description": "Previously agreed upon terms will apply",\
"terms_net_days_due": 35,\
"terms_date_due": null,\
"terms_discount_percent": null,\
"order_id": "O-654",\
"customer_order_number": "CO-435",\
"purchase_order_number": "PO-546",\
"status": "closed",\
"remit_to": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"ship_from": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"sold_to": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"ship_to": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"shipping_carrier_name": "ALZ carrier",\
"shipping_carrier_code": "230F",\
"shipping_account_number": "SH879",\
"shipping_method_name": "Next day delivery",\
"shipping_method_code": "ND",\
"shipping_tracking_number": "1Z9999999999999988",\
"shipping_weight": "7.00",\
"notes": "Signature required",\
"invoiced_at": "2022-05-10T15:24:56Z",\
"ordered_at": "2022-05-10T15:24:56Z",\
"shipped_at": "2022-05-10T15:24:56Z",\
"acknowledged_at": "2022-06-10T15:24:56Z",\
"paid_at": "2022-06-10T15:24:56Z",\
"closed_at": null,\
"canceled_at": null,\
"allowances": [\
{\
"description": "Sample-discount-allowance",\
"price": "12.10",\
"id": 1,\
"adjustment_code": {\
"adjustment_type": "Allowance",\
"code": "returns_allowance",\
"description": "returns_allowance",\
"id": 1\
}\
}\
],\
"charges": [\
{\
"description": "Sample invoice and its description",\
"price": "23.45",\
"id": 654,\
"adjustment_code": {\
"adjustment_type": "Allowance",\
"code": "returns_allowance",\
"description": "returns_allowance",\
"id": 1\
}\
}\
],\
"invoice_lines": [\
{\
"quantity": 45,\
"price": "12.00",\
"id": 765,\
"variant": {\
"id": 100024,\
"name": "T-Shirt, Blue, L",\
"brand": {\
"code": "demo-brand",\
"id": 500,\
"name": "Marla Cielo",\
"joined_at": "2022-09-10T15:24:56Z",\
"logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",\
"cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",\
"profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",\
"website": null,\
"is_onboarded": false,\
"is_on_rcn": false,\
"requires_subscription": "enabled",\
"subscription_expires_at": "2024-09-19T13:32:10Z",\
"grace_period_ends_at": "2024-10-26T13:32:10Z",\
"subscription_is_expired": false,\
"subscription_is_on_grace_period": false,\
"subscription_is_delinquent": false,\
"inventory_policy": "managed",\
"status": "active"\
},\
"brand_identifier": "1000-BL-L",\
"identifier": "5000001",\
"upc": 9119119111,\
"cartons": [\
{\
"id": 48,\
"number": 1,\
"length": "1",\
"length_unit": "1",\
"width": "1",\
"width_unit": "meter",\
"height": "1",\
"height_unit": "meter",\
"weight": "15",\
"weight_unit": "KG",\
"package_girth_inches": "1",\
"package_size_inches": "1"\
}\
],\
"color": "Red",\
"style": "Print",\
"size": "Large",\
"media": [\
{\
"id": 249,\
"width": 100,\
"height": 100,\
"media": "default",\
"priority": 1,\
"url": "192.168.99.100/media/default/original",\
"updated_at": "2022-09-10T15:24:56Z",\
"created_at": "2022-08-10T15:24:56Z"\
}\
],\
"attributes": [\
{\
"code": "size",\
"name": "Size",\
"type": "money",\
"id": 44,\
"editable_by": "brand",\
"grouping": "general",\
"description": "demo product description",\
"units": "USD",\
"values": {\
"id": 123,\
"value": "<string>",\
"unit": {\
"id": 677,\
"name": "Sample unit",\
"standard_unit": "<string>",\
"type": "cost",\
"system": "metric",\
"symbol": "USD"\
},\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"updated_at": "2023-11-07T05:31:56Z",\
"created_at": "2023-11-07T05:31:56Z"\
}\
}\
],\
"ruleset_variants": [\
{\
"id": 1232,\
"status": "processing",\
"ruleset": "<unknown>",\
"results": "<string>",\
"created_at": "2022-08-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"ruleset_variant_summary": "21",\
"active_permit": {\
"id": 10104,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"retailer_price": "12.99",\
"retailer_cost": "8.99",\
"pricing": {},\
"attributes": {},\
"start_at": "2021-09-10T15:24:56Z",\
"end_at": "2024-09-10T15:24:56Z",\
"is_in_effect": true,\
"revoked_at": "2022-09-10T15:24:56Z",\
"is_acknowledged": true,\
"acknowledged_at": "2022-09-10T15:24:56Z"\
},\
"permits": [\
{\
"id": 10104,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"retailer_price": "12.99",\
"retailer_cost": "8.99",\
"pricing": {},\
"attributes": {},\
"start_at": "2021-09-10T15:24:56Z",\
"end_at": "2024-09-10T15:24:56Z",\
"is_in_effect": true,\
"revoked_at": "2022-09-10T15:24:56Z",\
"is_acknowledged": true,\
"acknowledged_at": "2022-09-10T15:24:56Z"\
}\
],\
"is_compatible": true,\
"proposal_variant": {\
"id": 3456,\
"pricing": "12.00",\
"attributes": [\
{\
"id": 123,\
"value": "<string>",\
"unit": {\
"id": 677,\
"name": "Sample unit",\
"standard_unit": "<string>",\
"type": "cost",\
"system": "metric",\
"symbol": "USD"\
},\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"updated_at": "2023-11-07T05:31:56Z",\
"created_at": "2023-11-07T05:31:56Z"\
}\
],\
"memos": [\
{\
"id": 1234,\
"text": "Immediate requirement",\
"visibility": "any",\
"acknowledged_at": "2022-01-10T15:24:56Z",\
"notify_people": true,\
"created_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"created_by_context": "retailer",\
"created_at": "2021-09-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"issues": [\
{\
"id": 123,\
"memos": [\
{\
"id": 1234,\
"text": "Immediate requirement",\
"visibility": "any",\
"acknowledged_at": "2022-01-10T15:24:56Z",\
"notify_people": true,\
"created_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"created_by_context": "retailer",\
"created_at": "2021-09-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"created_at": "2023-11-07T05:31:56Z",\
"updated_at": "2023-11-07T05:31:56Z",\
"resolved_at": "2023-11-07T05:31:56Z",\
"is_resolved": "<string>",\
"issue_id": 123,\
"message": "<string>",\
"title": "<string>"\
}\
],\
"variant_id": 249,\
"approved_at": "2022-10-10T15:24:56Z",\
"created_at": "2022-07-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z",\
"rejected_at": null,\
"reject_reason": "Incomplete",\
"reject": true,\
"approve": false,\
"delete": false\
},\
"retailer_identifiers": {\
"id": 5642,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"identifier": "SKU976",\
"name": "Retailer Sample"\
},\
"retailer_categories": {\
"category": "CategoryANC",\
"id": 453,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
}\
},\
"inventory": {\
"inventory_updated_at": "2022-09-10T15:24:56Z",\
"inventory_last_submitted_at": "2022-09-10T15:24:56Z",\
"brand_inventory_updated_at": "2022-09-10T15:24:56Z",\
"sellable_updated_at": "2022-11-10T15:24:56Z",\
"estimated_availability_date": "2022-09-10T15:24:56Z",\
"discontinued": true,\
"discontinued_updated_at": null,\
"inventory": 0,\
"sellable": "No",\
"replenishable": true,\
"locations": [\
{\
"id": 1,\
"address": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"inventory": 0,\
"nickname": "LA Warehouse"\
}\
]\
}\
},\
"invoice_line_number": 2,\
"item_brand_identifier": "Vend134",\
"item_upc": "911911911112",\
"name": "SamPro1",\
"description": "Sample description of product",\
"canceled_at": null,\
"retail_price": "14.00"\
}\
],\
"net_amount": "12.89",\
"due_amount": "2.89",\
"expected_due_amount": "2.89",\
"subtotal": "10.89",\
"tax": "2.00",\
"invoice_acceptance": {\
"id": 565,\
"accepted_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"rejected_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"reject_reason": "Incorrect",\
"accepted_at": "2022-08-10T15:24:56Z",\
"rejected_at": null\
}\
}\
],
"signature": null,
"rmas": [\
{\
"order_id": 1000,\
"reason_id": 344,\
"id": 4,\
"purchase_order_number": "CS192168",\
"rma_number": "ABC123",\
"status": "Pending",\
"currency": {\
"id": 1,\
"name": "United States Dollar",\
"symbol": "$",\
"unit": "USD"\
},\
"created_by": "Retailer",\
"rmad_at": "2022-09-10T15:24:56Z",\
"approved_at": "2022-09-10T15:24:56Z",\
"rejected_at": null,\
"ordered_at": "2022-09-10T15:24:56Z",\
"acknowledged_at": "2022-09-10T15:24:56Z",\
"rma_lines": [\
{\
"id": 567,\
"variant": {\
"id": 100024,\
"name": "T-Shirt, Blue, L",\
"brand": {\
"code": "demo-brand",\
"id": 500,\
"name": "Marla Cielo",\
"joined_at": "2022-09-10T15:24:56Z",\
"logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",\
"cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",\
"profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",\
"website": null,\
"is_onboarded": false,\
"is_on_rcn": false,\
"requires_subscription": "enabled",\
"subscription_expires_at": "2024-09-19T13:32:10Z",\
"grace_period_ends_at": "2024-10-26T13:32:10Z",\
"subscription_is_expired": false,\
"subscription_is_on_grace_period": false,\
"subscription_is_delinquent": false,\
"inventory_policy": "managed",\
"status": "active"\
},\
"brand_identifier": "1000-BL-L",\
"identifier": "5000001",\
"upc": 9119119111,\
"cartons": [\
{\
"id": 48,\
"number": 1,\
"length": "1",\
"length_unit": "1",\
"width": "1",\
"width_unit": "meter",\
"height": "1",\
"height_unit": "meter",\
"weight": "15",\
"weight_unit": "KG",\
"package_girth_inches": "1",\
"package_size_inches": "1"\
}\
],\
"color": "Red",\
"style": "Print",\
"size": "Large",\
"media": [\
{\
"id": 249,\
"width": 100,\
"height": 100,\
"media": "default",\
"priority": 1,\
"url": "192.168.99.100/media/default/original",\
"updated_at": "2022-09-10T15:24:56Z",\
"created_at": "2022-08-10T15:24:56Z"\
}\
],\
"attributes": [\
{\
"code": "size",\
"name": "Size",\
"type": "money",\
"id": 44,\
"editable_by": "brand",\
"grouping": "general",\
"description": "demo product description",\
"units": "USD",\
"values": {\
"id": 123,\
"value": "<string>",\
"unit": {\
"id": 677,\
"name": "Sample unit",\
"standard_unit": "<string>",\
"type": "cost",\
"system": "metric",\
"symbol": "USD"\
},\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"updated_at": "2023-11-07T05:31:56Z",\
"created_at": "2023-11-07T05:31:56Z"\
}\
}\
],\
"ruleset_variants": [\
{\
"id": 1232,\
"status": "processing",\
"ruleset": "<unknown>",\
"results": "<string>",\
"created_at": "2022-08-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"ruleset_variant_summary": "21",\
"active_permit": {\
"id": 10104,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"retailer_price": "12.99",\
"retailer_cost": "8.99",\
"pricing": {},\
"attributes": {},\
"start_at": "2021-09-10T15:24:56Z",\
"end_at": "2024-09-10T15:24:56Z",\
"is_in_effect": true,\
"revoked_at": "2022-09-10T15:24:56Z",\
"is_acknowledged": true,\
"acknowledged_at": "2022-09-10T15:24:56Z"\
},\
"permits": [\
{\
"id": 10104,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"retailer_price": "12.99",\
"retailer_cost": "8.99",\
"pricing": {},\
"attributes": {},\
"start_at": "2021-09-10T15:24:56Z",\
"end_at": "2024-09-10T15:24:56Z",\
"is_in_effect": true,\
"revoked_at": "2022-09-10T15:24:56Z",\
"is_acknowledged": true,\
"acknowledged_at": "2022-09-10T15:24:56Z"\
}\
],\
"is_compatible": true,\
"proposal_variant": {\
"id": 3456,\
"pricing": "12.00",\
"attributes": [\
{\
"id": 123,\
"value": "<string>",\
"unit": {\
"id": 677,\
"name": "Sample unit",\
"standard_unit": "<string>",\
"type": "cost",\
"system": "metric",\
"symbol": "USD"\
},\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"updated_at": "2023-11-07T05:31:56Z",\
"created_at": "2023-11-07T05:31:56Z"\
}\
],\
"memos": [\
{\
"id": 1234,\
"text": "Immediate requirement",\
"visibility": "any",\
"acknowledged_at": "2022-01-10T15:24:56Z",\
"notify_people": true,\
"created_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"created_by_context": "retailer",\
"created_at": "2021-09-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"issues": [\
{\
"id": 123,\
"memos": [\
{\
"id": 1234,\
"text": "Immediate requirement",\
"visibility": "any",\
"acknowledged_at": "2022-01-10T15:24:56Z",\
"notify_people": true,\
"created_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"created_by_context": "retailer",\
"created_at": "2021-09-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"created_at": "2023-11-07T05:31:56Z",\
"updated_at": "2023-11-07T05:31:56Z",\
"resolved_at": "2023-11-07T05:31:56Z",\
"is_resolved": "<string>",\
"issue_id": 123,\
"message": "<string>",\
"title": "<string>"\
}\
],\
"variant_id": 249,\
"approved_at": "2022-10-10T15:24:56Z",\
"created_at": "2022-07-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z",\
"rejected_at": null,\
"reject_reason": "Incomplete",\
"reject": true,\
"approve": false,\
"delete": false\
},\
"retailer_identifiers": {\
"id": 5642,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"identifier": "SKU976",\
"name": "Retailer Sample"\
},\
"retailer_categories": {\
"category": "CategoryANC",\
"id": 453,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
}\
},\
"inventory": {\
"inventory_updated_at": "2022-09-10T15:24:56Z",\
"inventory_last_submitted_at": "2022-09-10T15:24:56Z",\
"brand_inventory_updated_at": "2022-09-10T15:24:56Z",\
"sellable_updated_at": "2022-11-10T15:24:56Z",\
"estimated_availability_date": "2022-09-10T15:24:56Z",\
"discontinued": true,\
"discontinued_updated_at": null,\
"inventory": 0,\
"sellable": "No",\
"replenishable": true,\
"locations": [\
{\
"id": 1,\
"address": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"inventory": 0,\
"nickname": "LA Warehouse"\
}\
]\
}\
},\
"quantity": 20,\
"quantity_shipped": 10,\
"net_price": "12.00"\
}\
],\
"reason": "Incorrect",\
"memos": [\
{\
"id": 1234,\
"text": "Immediate requirement",\
"visibility": "any",\
"acknowledged_at": "2022-01-10T15:24:56Z",\
"notify_people": true,\
"created_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"created_by_context": "retailer",\
"created_at": "2021-09-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"attachments": [\
{\
"id": 268,\
"content_type": 1,\
"object_id": 666,\
"file": "Sample file",\
"uploaded_by": 646,\
"visible_by": "connections",\
"original_filename": "Sample1",\
"filename": "Sample1",\
"tags": [\
{\
"tag": "demotag",\
"id": 432\
}\
],\
"url": "https://assets.sample.com/attachments/path_to_attachment/attachment.pdf"\
}\
],\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"brand": {\
"code": "demo-brand",\
"id": 500,\
"name": "Marla Cielo",\
"joined_at": "2022-09-10T15:24:56Z",\
"logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",\
"cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",\
"profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",\
"website": null,\
"is_onboarded": false,\
"is_on_rcn": false,\
"requires_subscription": "enabled",\
"subscription_expires_at": "2024-09-19T13:32:10Z",\
"grace_period_ends_at": "2024-10-26T13:32:10Z",\
"subscription_is_expired": false,\
"subscription_is_on_grace_period": false,\
"subscription_is_delinquent": false,\
"inventory_policy": "managed",\
"status": "active"\
},\
"total_amount": "34.00",\
"credits": [\
{\
"id": 20,\
"brand": {\
"code": "demo-brand",\
"id": 500,\
"name": "Marla Cielo",\
"joined_at": "2022-09-10T15:24:56Z",\
"logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",\
"cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",\
"profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",\
"website": null,\
"is_onboarded": false,\
"is_on_rcn": false,\
"requires_subscription": "enabled",\
"subscription_expires_at": "2024-09-19T13:32:10Z",\
"grace_period_ends_at": "2024-10-26T13:32:10Z",\
"subscription_is_expired": false,\
"subscription_is_on_grace_period": false,\
"subscription_is_delinquent": false,\
"inventory_policy": "managed",\
"status": "active"\
},\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"currency": {\
"id": 1,\
"name": "United States Dollar",\
"symbol": "$",\
"unit": "USD"\
},\
"rma": "<unknown>",\
"invoice": {\
"invoice_number": "RC123456",\
"id": 1,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"brand": {\
"code": "demo-brand",\
"id": 500,\
"name": "Marla Cielo",\
"joined_at": "2022-09-10T15:24:56Z",\
"logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",\
"cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",\
"profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",\
"website": null,\
"is_onboarded": false,\
"is_on_rcn": false,\
"requires_subscription": "enabled",\
"subscription_expires_at": "2024-09-19T13:32:10Z",\
"grace_period_ends_at": "2024-10-26T13:32:10Z",\
"subscription_is_expired": false,\
"subscription_is_on_grace_period": false,\
"subscription_is_delinquent": false,\
"inventory_policy": "managed",\
"status": "active"\
},\
"connection_id": 2,\
"currency": {\
"id": 1,\
"name": "United States Dollar",\
"symbol": "$",\
"unit": "USD"\
},\
"terms_type": "Previously agreed upon",\
"terms_description": "Previously agreed upon terms will apply",\
"terms_net_days_due": 35,\
"terms_date_due": null,\
"terms_discount_percent": null,\
"order_id": "O-654",\
"customer_order_number": "CO-435",\
"purchase_order_number": "PO-546",\
"status": "closed",\
"remit_to": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"ship_from": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"sold_to": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"ship_to": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"shipping_carrier_name": "ALZ carrier",\
"shipping_carrier_code": "230F",\
"shipping_account_number": "SH879",\
"shipping_method_name": "Next day delivery",\
"shipping_method_code": "ND",\
"shipping_tracking_number": "1Z9999999999999988",\
"shipping_weight": "7.00",\
"notes": "Signature required",\
"invoiced_at": "2022-05-10T15:24:56Z",\
"ordered_at": "2022-05-10T15:24:56Z",\
"shipped_at": "2022-05-10T15:24:56Z",\
"acknowledged_at": "2022-06-10T15:24:56Z",\
"paid_at": "2022-06-10T15:24:56Z",\
"closed_at": null,\
"canceled_at": null,\
"allowances": [\
{\
"description": "Sample-discount-allowance",\
"price": "12.10",\
"id": 1,\
"adjustment_code": {\
"adjustment_type": "Allowance",\
"code": "returns_allowance",\
"description": "returns_allowance",\
"id": 1\
}\
}\
],\
"charges": [\
{\
"description": "Sample invoice and its description",\
"price": "23.45",\
"id": 654,\
"adjustment_code": {\
"adjustment_type": "Allowance",\
"code": "returns_allowance",\
"description": "returns_allowance",\
"id": 1\
}\
}\
],\
"invoice_lines": [\
{\
"quantity": 45,\
"price": "12.00",\
"id": 765,\
"variant": {\
"id": 100024,\
"name": "T-Shirt, Blue, L",\
"brand": {\
"code": "demo-brand",\
"id": 500,\
"name": "Marla Cielo",\
"joined_at": "2022-09-10T15:24:56Z",\
"logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",\
"cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",\
"profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",\
"website": null,\
"is_onboarded": false,\
"is_on_rcn": false,\
"requires_subscription": "enabled",\
"subscription_expires_at": "2024-09-19T13:32:10Z",\
"grace_period_ends_at": "2024-10-26T13:32:10Z",\
"subscription_is_expired": false,\
"subscription_is_on_grace_period": false,\
"subscription_is_delinquent": false,\
"inventory_policy": "managed",\
"status": "active"\
},\
"brand_identifier": "1000-BL-L",\
"identifier": "5000001",\
"upc": 9119119111,\
"cartons": [\
{\
"id": 48,\
"number": 1,\
"length": "1",\
"length_unit": "1",\
"width": "1",\
"width_unit": "meter",\
"height": "1",\
"height_unit": "meter",\
"weight": "15",\
"weight_unit": "KG",\
"package_girth_inches": "1",\
"package_size_inches": "1"\
}\
],\
"color": "Red",\
"style": "Print",\
"size": "Large",\
"media": [\
{\
"id": 249,\
"width": 100,\
"height": 100,\
"media": "default",\
"priority": 1,\
"url": "192.168.99.100/media/default/original",\
"updated_at": "2022-09-10T15:24:56Z",\
"created_at": "2022-08-10T15:24:56Z"\
}\
],\
"attributes": [\
{\
"code": "size",\
"name": "Size",\
"type": "money",\
"id": 44,\
"editable_by": "brand",\
"grouping": "general",\
"description": "demo product description",\
"units": "USD",\
"values": {\
"id": 123,\
"value": "<string>",\
"unit": {\
"id": 677,\
"name": "Sample unit",\
"standard_unit": "<string>",\
"type": "cost",\
"system": "metric",\
"symbol": "USD"\
},\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"updated_at": "2023-11-07T05:31:56Z",\
"created_at": "2023-11-07T05:31:56Z"\
}\
}\
],\
"ruleset_variants": [\
{\
"id": 1232,\
"status": "processing",\
"ruleset": "<unknown>",\
"results": "<string>",\
"created_at": "2022-08-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"ruleset_variant_summary": "21",\
"active_permit": {\
"id": 10104,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"retailer_price": "12.99",\
"retailer_cost": "8.99",\
"pricing": {},\
"attributes": {},\
"start_at": "2021-09-10T15:24:56Z",\
"end_at": "2024-09-10T15:24:56Z",\
"is_in_effect": true,\
"revoked_at": "2022-09-10T15:24:56Z",\
"is_acknowledged": true,\
"acknowledged_at": "2022-09-10T15:24:56Z"\
},\
"permits": [\
{\
"id": 10104,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"retailer_price": "12.99",\
"retailer_cost": "8.99",\
"pricing": {},\
"attributes": {},\
"start_at": "2021-09-10T15:24:56Z",\
"end_at": "2024-09-10T15:24:56Z",\
"is_in_effect": true,\
"revoked_at": "2022-09-10T15:24:56Z",\
"is_acknowledged": true,\
"acknowledged_at": "2022-09-10T15:24:56Z"\
}\
],\
"is_compatible": true,\
"proposal_variant": {\
"id": 3456,\
"pricing": "12.00",\
"attributes": [\
{\
"id": 123,\
"value": "<string>",\
"unit": {\
"id": 677,\
"name": "Sample unit",\
"standard_unit": "<string>",\
"type": "cost",\
"system": "metric",\
"symbol": "USD"\
},\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"updated_at": "2023-11-07T05:31:56Z",\
"created_at": "2023-11-07T05:31:56Z"\
}\
],\
"memos": [\
{\
"id": 1234,\
"text": "Immediate requirement",\
"visibility": "any",\
"acknowledged_at": "2022-01-10T15:24:56Z",\
"notify_people": true,\
"created_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"created_by_context": "retailer",\
"created_at": "2021-09-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"issues": [\
{\
"id": 123,\
"memos": [\
{\
"id": 1234,\
"text": "Immediate requirement",\
"visibility": "any",\
"acknowledged_at": "2022-01-10T15:24:56Z",\
"notify_people": true,\
"created_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"created_by_context": "retailer",\
"created_at": "2021-09-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"created_at": "2023-11-07T05:31:56Z",\
"updated_at": "2023-11-07T05:31:56Z",\
"resolved_at": "2023-11-07T05:31:56Z",\
"is_resolved": "<string>",\
"issue_id": 123,\
"message": "<string>",\
"title": "<string>"\
}\
],\
"variant_id": 249,\
"approved_at": "2022-10-10T15:24:56Z",\
"created_at": "2022-07-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z",\
"rejected_at": null,\
"reject_reason": "Incomplete",\
"reject": true,\
"approve": false,\
"delete": false\
},\
"retailer_identifiers": {\
"id": 5642,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"identifier": "SKU976",\
"name": "Retailer Sample"\
},\
"retailer_categories": {\
"category": "CategoryANC",\
"id": 453,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
}\
},\
"inventory": {\
"inventory_updated_at": "2022-09-10T15:24:56Z",\
"inventory_last_submitted_at": "2022-09-10T15:24:56Z",\
"brand_inventory_updated_at": "2022-09-10T15:24:56Z",\
"sellable_updated_at": "2022-11-10T15:24:56Z",\
"estimated_availability_date": "2022-09-10T15:24:56Z",\
"discontinued": true,\
"discontinued_updated_at": null,\
"inventory": 0,\
"sellable": "No",\
"replenishable": true,\
"locations": [\
{\
"id": 1,\
"address": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"inventory": 0,\
"nickname": "LA Warehouse"\
}\
]\
}\
},\
"invoice_line_number": 2,\
"item_brand_identifier": "Vend134",\
"item_upc": "911911911112",\
"name": "SamPro1",\
"description": "Sample description of product",\
"canceled_at": null,\
"retail_price": "14.00"\
}\
],\
"net_amount": "12.89",\
"due_amount": "2.89",\
"expected_due_amount": "2.89",\
"subtotal": "10.89",\
"tax": "2.00",\
"invoice_acceptance": {\
"id": 565,\
"accepted_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"rejected_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"reject_reason": "Incorrect",\
"accepted_at": "2022-08-10T15:24:56Z",\
"rejected_at": null\
}\
},\
"order": "<string>",\
"credit_number": "849238",\
"credit_lines": [\
{\
"quantity": 10,\
"id": 566,\
"variant": {\
"id": 100024,\
"name": "T-Shirt, Blue, L",\
"brand": {\
"code": "demo-brand",\
"id": 500,\
"name": "Marla Cielo",\
"joined_at": "2022-09-10T15:24:56Z",\
"logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",\
"cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",\
"profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",\
"website": null,\
"is_onboarded": false,\
"is_on_rcn": false,\
"requires_subscription": "enabled",\
"subscription_expires_at": "2024-09-19T13:32:10Z",\
"grace_period_ends_at": "2024-10-26T13:32:10Z",\
"subscription_is_expired": false,\
"subscription_is_on_grace_period": false,\
"subscription_is_delinquent": false,\
"inventory_policy": "managed",\
"status": "active"\
},\
"brand_identifier": "1000-BL-L",\
"identifier": "5000001",\
"upc": 9119119111,\
"cartons": [\
{\
"id": 48,\
"number": 1,\
"length": "1",\
"length_unit": "1",\
"width": "1",\
"width_unit": "meter",\
"height": "1",\
"height_unit": "meter",\
"weight": "15",\
"weight_unit": "KG",\
"package_girth_inches": "1",\
"package_size_inches": "1"\
}\
],\
"color": "Red",\
"style": "Print",\
"size": "Large",\
"media": [\
{\
"id": 249,\
"width": 100,\
"height": 100,\
"media": "default",\
"priority": 1,\
"url": "192.168.99.100/media/default/original",\
"updated_at": "2022-09-10T15:24:56Z",\
"created_at": "2022-08-10T15:24:56Z"\
}\
],\
"attributes": [\
{\
"code": "size",\
"name": "Size",\
"type": "money",\
"id": 44,\
"editable_by": "brand",\
"grouping": "general",\
"description": "demo product description",\
"units": "USD",\
"values": {\
"id": 123,\
"value": "<string>",\
"unit": {\
"id": 677,\
"name": "Sample unit",\
"standard_unit": "<string>",\
"type": "cost",\
"system": "metric",\
"symbol": "USD"\
},\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"updated_at": "2023-11-07T05:31:56Z",\
"created_at": "2023-11-07T05:31:56Z"\
}\
}\
],\
"ruleset_variants": [\
{\
"id": 1232,\
"status": "processing",\
"ruleset": "<unknown>",\
"results": "<string>",\
"created_at": "2022-08-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"ruleset_variant_summary": "21",\
"active_permit": {\
"id": 10104,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"retailer_price": "12.99",\
"retailer_cost": "8.99",\
"pricing": {},\
"attributes": {},\
"start_at": "2021-09-10T15:24:56Z",\
"end_at": "2024-09-10T15:24:56Z",\
"is_in_effect": true,\
"revoked_at": "2022-09-10T15:24:56Z",\
"is_acknowledged": true,\
"acknowledged_at": "2022-09-10T15:24:56Z"\
},\
"permits": [\
{\
"id": 10104,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"retailer_price": "12.99",\
"retailer_cost": "8.99",\
"pricing": {},\
"attributes": {},\
"start_at": "2021-09-10T15:24:56Z",\
"end_at": "2024-09-10T15:24:56Z",\
"is_in_effect": true,\
"revoked_at": "2022-09-10T15:24:56Z",\
"is_acknowledged": true,\
"acknowledged_at": "2022-09-10T15:24:56Z"\
}\
],\
"is_compatible": true,\
"proposal_variant": {\
"id": 3456,\
"pricing": "12.00",\
"attributes": [\
{\
"id": 123,\
"value": "<string>",\
"unit": {\
"id": 677,\
"name": "Sample unit",\
"standard_unit": "<string>",\
"type": "cost",\
"system": "metric",\
"symbol": "USD"\
},\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"updated_at": "2023-11-07T05:31:56Z",\
"created_at": "2023-11-07T05:31:56Z"\
}\
],\
"memos": [\
{\
"id": 1234,\
"text": "Immediate requirement",\
"visibility": "any",\
"acknowledged_at": "2022-01-10T15:24:56Z",\
"notify_people": true,\
"created_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"created_by_context": "retailer",\
"created_at": "2021-09-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"issues": [\
{\
"id": 123,\
"memos": [\
{\
"id": 1234,\
"text": "Immediate requirement",\
"visibility": "any",\
"acknowledged_at": "2022-01-10T15:24:56Z",\
"notify_people": true,\
"created_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"created_by_context": "retailer",\
"created_at": "2021-09-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"created_at": "2023-11-07T05:31:56Z",\
"updated_at": "2023-11-07T05:31:56Z",\
"resolved_at": "2023-11-07T05:31:56Z",\
"is_resolved": "<string>",\
"issue_id": 123,\
"message": "<string>",\
"title": "<string>"\
}\
],\
"variant_id": 249,\
"approved_at": "2022-10-10T15:24:56Z",\
"created_at": "2022-07-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z",\
"rejected_at": null,\
"reject_reason": "Incomplete",\
"reject": true,\
"approve": false,\
"delete": false\
},\
"retailer_identifiers": {\
"id": 5642,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"identifier": "SKU976",\
"name": "Retailer Sample"\
},\
"retailer_categories": {\
"category": "CategoryANC",\
"id": 453,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
}\
},\
"inventory": {\
"inventory_updated_at": "2022-09-10T15:24:56Z",\
"inventory_last_submitted_at": "2022-09-10T15:24:56Z",\
"brand_inventory_updated_at": "2022-09-10T15:24:56Z",\
"sellable_updated_at": "2022-11-10T15:24:56Z",\
"estimated_availability_date": "2022-09-10T15:24:56Z",\
"discontinued": true,\
"discontinued_updated_at": null,\
"inventory": 0,\
"sellable": "No",\
"replenishable": true,\
"locations": [\
{\
"id": 1,\
"address": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"inventory": 0,\
"nickname": "LA Warehouse"\
}\
]\
}\
},\
"net_price": "12.99"\
}\
],\
"adjustments": [\
{\
"id": 566,\
"description": "Sample description for adjustment",\
"net_price": "1.00"\
}\
],\
"acknowledged_at": "2022-09-10T15:24:56Z",\
"credited_at": "2022-09-10T15:24:56Z",\
"created_at": "2022-08-10T15:24:56Z",\
"subtotal": "20.00",\
"credit_amount": "24.00"\
}\
]\
}\
],
"credits": [\
{\
"id": 20,\
"brand": {\
"code": "demo-brand",\
"id": 500,\
"name": "Marla Cielo",\
"joined_at": "2022-09-10T15:24:56Z",\
"logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",\
"cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",\
"profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",\
"website": null,\
"is_onboarded": false,\
"is_on_rcn": false,\
"requires_subscription": "enabled",\
"subscription_expires_at": "2024-09-19T13:32:10Z",\
"grace_period_ends_at": "2024-10-26T13:32:10Z",\
"subscription_is_expired": false,\
"subscription_is_on_grace_period": false,\
"subscription_is_delinquent": false,\
"inventory_policy": "managed",\
"status": "active"\
},\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"currency": {\
"id": 1,\
"name": "United States Dollar",\
"symbol": "$",\
"unit": "USD"\
},\
"rma": "<unknown>",\
"invoice": {\
"invoice_number": "RC123456",\
"id": 1,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"brand": {\
"code": "demo-brand",\
"id": 500,\
"name": "Marla Cielo",\
"joined_at": "2022-09-10T15:24:56Z",\
"logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",\
"cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",\
"profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",\
"website": null,\
"is_onboarded": false,\
"is_on_rcn": false,\
"requires_subscription": "enabled",\
"subscription_expires_at": "2024-09-19T13:32:10Z",\
"grace_period_ends_at": "2024-10-26T13:32:10Z",\
"subscription_is_expired": false,\
"subscription_is_on_grace_period": false,\
"subscription_is_delinquent": false,\
"inventory_policy": "managed",\
"status": "active"\
},\
"connection_id": 2,\
"currency": {\
"id": 1,\
"name": "United States Dollar",\
"symbol": "$",\
"unit": "USD"\
},\
"terms_type": "Previously agreed upon",\
"terms_description": "Previously agreed upon terms will apply",\
"terms_net_days_due": 35,\
"terms_date_due": null,\
"terms_discount_percent": null,\
"order_id": "O-654",\
"customer_order_number": "CO-435",\
"purchase_order_number": "PO-546",\
"status": "closed",\
"remit_to": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"ship_from": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"sold_to": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"ship_to": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"shipping_carrier_name": "ALZ carrier",\
"shipping_carrier_code": "230F",\
"shipping_account_number": "SH879",\
"shipping_method_name": "Next day delivery",\
"shipping_method_code": "ND",\
"shipping_tracking_number": "1Z9999999999999988",\
"shipping_weight": "7.00",\
"notes": "Signature required",\
"invoiced_at": "2022-05-10T15:24:56Z",\
"ordered_at": "2022-05-10T15:24:56Z",\
"shipped_at": "2022-05-10T15:24:56Z",\
"acknowledged_at": "2022-06-10T15:24:56Z",\
"paid_at": "2022-06-10T15:24:56Z",\
"closed_at": null,\
"canceled_at": null,\
"allowances": [\
{\
"description": "Sample-discount-allowance",\
"price": "12.10",\
"id": 1,\
"adjustment_code": {\
"adjustment_type": "Allowance",\
"code": "returns_allowance",\
"description": "returns_allowance",\
"id": 1\
}\
}\
],\
"charges": [\
{\
"description": "Sample invoice and its description",\
"price": "23.45",\
"id": 654,\
"adjustment_code": {\
"adjustment_type": "Allowance",\
"code": "returns_allowance",\
"description": "returns_allowance",\
"id": 1\
}\
}\
],\
"invoice_lines": [\
{\
"quantity": 45,\
"price": "12.00",\
"id": 765,\
"variant": {\
"id": 100024,\
"name": "T-Shirt, Blue, L",\
"brand": {\
"code": "demo-brand",\
"id": 500,\
"name": "Marla Cielo",\
"joined_at": "2022-09-10T15:24:56Z",\
"logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",\
"cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",\
"profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",\
"website": null,\
"is_onboarded": false,\
"is_on_rcn": false,\
"requires_subscription": "enabled",\
"subscription_expires_at": "2024-09-19T13:32:10Z",\
"grace_period_ends_at": "2024-10-26T13:32:10Z",\
"subscription_is_expired": false,\
"subscription_is_on_grace_period": false,\
"subscription_is_delinquent": false,\
"inventory_policy": "managed",\
"status": "active"\
},\
"brand_identifier": "1000-BL-L",\
"identifier": "5000001",\
"upc": 9119119111,\
"cartons": [\
{\
"id": 48,\
"number": 1,\
"length": "1",\
"length_unit": "1",\
"width": "1",\
"width_unit": "meter",\
"height": "1",\
"height_unit": "meter",\
"weight": "15",\
"weight_unit": "KG",\
"package_girth_inches": "1",\
"package_size_inches": "1"\
}\
],\
"color": "Red",\
"style": "Print",\
"size": "Large",\
"media": [\
{\
"id": 249,\
"width": 100,\
"height": 100,\
"media": "default",\
"priority": 1,\
"url": "192.168.99.100/media/default/original",\
"updated_at": "2022-09-10T15:24:56Z",\
"created_at": "2022-08-10T15:24:56Z"\
}\
],\
"attributes": [\
{\
"code": "size",\
"name": "Size",\
"type": "money",\
"id": 44,\
"editable_by": "brand",\
"grouping": "general",\
"description": "demo product description",\
"units": "USD",\
"values": {\
"id": 123,\
"value": "<string>",\
"unit": {\
"id": 677,\
"name": "Sample unit",\
"standard_unit": "<string>",\
"type": "cost",\
"system": "metric",\
"symbol": "USD"\
},\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"updated_at": "2023-11-07T05:31:56Z",\
"created_at": "2023-11-07T05:31:56Z"\
}\
}\
],\
"ruleset_variants": [\
{\
"id": 1232,\
"status": "processing",\
"ruleset": "<unknown>",\
"results": "<string>",\
"created_at": "2022-08-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"ruleset_variant_summary": "21",\
"active_permit": {\
"id": 10104,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"retailer_price": "12.99",\
"retailer_cost": "8.99",\
"pricing": {},\
"attributes": {},\
"start_at": "2021-09-10T15:24:56Z",\
"end_at": "2024-09-10T15:24:56Z",\
"is_in_effect": true,\
"revoked_at": "2022-09-10T15:24:56Z",\
"is_acknowledged": true,\
"acknowledged_at": "2022-09-10T15:24:56Z"\
},\
"permits": [\
{\
"id": 10104,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"retailer_price": "12.99",\
"retailer_cost": "8.99",\
"pricing": {},\
"attributes": {},\
"start_at": "2021-09-10T15:24:56Z",\
"end_at": "2024-09-10T15:24:56Z",\
"is_in_effect": true,\
"revoked_at": "2022-09-10T15:24:56Z",\
"is_acknowledged": true,\
"acknowledged_at": "2022-09-10T15:24:56Z"\
}\
],\
"is_compatible": true,\
"proposal_variant": {\
"id": 3456,\
"pricing": "12.00",\
"attributes": [\
{\
"id": 123,\
"value": "<string>",\
"unit": {\
"id": 677,\
"name": "Sample unit",\
"standard_unit": "<string>",\
"type": "cost",\
"system": "metric",\
"symbol": "USD"\
},\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"updated_at": "2023-11-07T05:31:56Z",\
"created_at": "2023-11-07T05:31:56Z"\
}\
],\
"memos": [\
{\
"id": 1234,\
"text": "Immediate requirement",\
"visibility": "any",\
"acknowledged_at": "2022-01-10T15:24:56Z",\
"notify_people": true,\
"created_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"created_by_context": "retailer",\
"created_at": "2021-09-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"issues": [\
{\
"id": 123,\
"memos": [\
{\
"id": 1234,\
"text": "Immediate requirement",\
"visibility": "any",\
"acknowledged_at": "2022-01-10T15:24:56Z",\
"notify_people": true,\
"created_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"created_by_context": "retailer",\
"created_at": "2021-09-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"created_at": "2023-11-07T05:31:56Z",\
"updated_at": "2023-11-07T05:31:56Z",\
"resolved_at": "2023-11-07T05:31:56Z",\
"is_resolved": "<string>",\
"issue_id": 123,\
"message": "<string>",\
"title": "<string>"\
}\
],\
"variant_id": 249,\
"approved_at": "2022-10-10T15:24:56Z",\
"created_at": "2022-07-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z",\
"rejected_at": null,\
"reject_reason": "Incomplete",\
"reject": true,\
"approve": false,\
"delete": false\
},\
"retailer_identifiers": {\
"id": 5642,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"identifier": "SKU976",\
"name": "Retailer Sample"\
},\
"retailer_categories": {\
"category": "CategoryANC",\
"id": 453,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
}\
},\
"inventory": {\
"inventory_updated_at": "2022-09-10T15:24:56Z",\
"inventory_last_submitted_at": "2022-09-10T15:24:56Z",\
"brand_inventory_updated_at": "2022-09-10T15:24:56Z",\
"sellable_updated_at": "2022-11-10T15:24:56Z",\
"estimated_availability_date": "2022-09-10T15:24:56Z",\
"discontinued": true,\
"discontinued_updated_at": null,\
"inventory": 0,\
"sellable": "No",\
"replenishable": true,\
"locations": [\
{\
"id": 1,\
"address": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"inventory": 0,\
"nickname": "LA Warehouse"\
}\
]\
}\
},\
"invoice_line_number": 2,\
"item_brand_identifier": "Vend134",\
"item_upc": "911911911112",\
"name": "SamPro1",\
"description": "Sample description of product",\
"canceled_at": null,\
"retail_price": "14.00"\
}\
],\
"net_amount": "12.89",\
"due_amount": "2.89",\
"expected_due_amount": "2.89",\
"subtotal": "10.89",\
"tax": "2.00",\
"invoice_acceptance": {\
"id": 565,\
"accepted_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"rejected_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"reject_reason": "Incorrect",\
"accepted_at": "2022-08-10T15:24:56Z",\
"rejected_at": null\
}\
},\
"order": "<string>",\
"credit_number": "849238",\
"credit_lines": [\
{\
"quantity": 10,\
"id": 566,\
"variant": {\
"id": 100024,\
"name": "T-Shirt, Blue, L",\
"brand": {\
"code": "demo-brand",\
"id": 500,\
"name": "Marla Cielo",\
"joined_at": "2022-09-10T15:24:56Z",\
"logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",\
"cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",\
"profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",\
"website": null,\
"is_onboarded": false,\
"is_on_rcn": false,\
"requires_subscription": "enabled",\
"subscription_expires_at": "2024-09-19T13:32:10Z",\
"grace_period_ends_at": "2024-10-26T13:32:10Z",\
"subscription_is_expired": false,\
"subscription_is_on_grace_period": false,\
"subscription_is_delinquent": false,\
"inventory_policy": "managed",\
"status": "active"\
},\
"brand_identifier": "1000-BL-L",\
"identifier": "5000001",\
"upc": 9119119111,\
"cartons": [\
{\
"id": 48,\
"number": 1,\
"length": "1",\
"length_unit": "1",\
"width": "1",\
"width_unit": "meter",\
"height": "1",\
"height_unit": "meter",\
"weight": "15",\
"weight_unit": "KG",\
"package_girth_inches": "1",\
"package_size_inches": "1"\
}\
],\
"color": "Red",\
"style": "Print",\
"size": "Large",\
"media": [\
{\
"id": 249,\
"width": 100,\
"height": 100,\
"media": "default",\
"priority": 1,\
"url": "192.168.99.100/media/default/original",\
"updated_at": "2022-09-10T15:24:56Z",\
"created_at": "2022-08-10T15:24:56Z"\
}\
],\
"attributes": [\
{\
"code": "size",\
"name": "Size",\
"type": "money",\
"id": 44,\
"editable_by": "brand",\
"grouping": "general",\
"description": "demo product description",\
"units": "USD",\
"values": {\
"id": 123,\
"value": "<string>",\
"unit": {\
"id": 677,\
"name": "Sample unit",\
"standard_unit": "<string>",\
"type": "cost",\
"system": "metric",\
"symbol": "USD"\
},\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"updated_at": "2023-11-07T05:31:56Z",\
"created_at": "2023-11-07T05:31:56Z"\
}\
}\
],\
"ruleset_variants": [\
{\
"id": 1232,\
"status": "processing",\
"ruleset": "<unknown>",\
"results": "<string>",\
"created_at": "2022-08-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"ruleset_variant_summary": "21",\
"active_permit": {\
"id": 10104,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"retailer_price": "12.99",\
"retailer_cost": "8.99",\
"pricing": {},\
"attributes": {},\
"start_at": "2021-09-10T15:24:56Z",\
"end_at": "2024-09-10T15:24:56Z",\
"is_in_effect": true,\
"revoked_at": "2022-09-10T15:24:56Z",\
"is_acknowledged": true,\
"acknowledged_at": "2022-09-10T15:24:56Z"\
},\
"permits": [\
{\
"id": 10104,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"retailer_price": "12.99",\
"retailer_cost": "8.99",\
"pricing": {},\
"attributes": {},\
"start_at": "2021-09-10T15:24:56Z",\
"end_at": "2024-09-10T15:24:56Z",\
"is_in_effect": true,\
"revoked_at": "2022-09-10T15:24:56Z",\
"is_acknowledged": true,\
"acknowledged_at": "2022-09-10T15:24:56Z"\
}\
],\
"is_compatible": true,\
"proposal_variant": {\
"id": 3456,\
"pricing": "12.00",\
"attributes": [\
{\
"id": 123,\
"value": "<string>",\
"unit": {\
"id": 677,\
"name": "Sample unit",\
"standard_unit": "<string>",\
"type": "cost",\
"system": "metric",\
"symbol": "USD"\
},\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"updated_at": "2023-11-07T05:31:56Z",\
"created_at": "2023-11-07T05:31:56Z"\
}\
],\
"memos": [\
{\
"id": 1234,\
"text": "Immediate requirement",\
"visibility": "any",\
"acknowledged_at": "2022-01-10T15:24:56Z",\
"notify_people": true,\
"created_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"created_by_context": "retailer",\
"created_at": "2021-09-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"issues": [\
{\
"id": 123,\
"memos": [\
{\
"id": 1234,\
"text": "Immediate requirement",\
"visibility": "any",\
"acknowledged_at": "2022-01-10T15:24:56Z",\
"notify_people": true,\
"created_by": {\
"id": 542,\
"first_name": "Sample",\
"last_name": "Demo",\
"title": "Demo",\
"status": "Active",\
"type": "standard",\
"photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",\
"is_me": true\
},\
"created_by_context": "retailer",\
"created_at": "2021-09-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z"\
}\
],\
"created_at": "2023-11-07T05:31:56Z",\
"updated_at": "2023-11-07T05:31:56Z",\
"resolved_at": "2023-11-07T05:31:56Z",\
"is_resolved": "<string>",\
"issue_id": 123,\
"message": "<string>",\
"title": "<string>"\
}\
],\
"variant_id": 249,\
"approved_at": "2022-10-10T15:24:56Z",\
"created_at": "2022-07-10T15:24:56Z",\
"updated_at": "2022-09-10T15:24:56Z",\
"rejected_at": null,\
"reject_reason": "Incomplete",\
"reject": true,\
"approve": false,\
"delete": false\
},\
"retailer_identifiers": {\
"id": 5642,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
},\
"identifier": "SKU976",\
"name": "Retailer Sample"\
},\
"retailer_categories": {\
"category": "CategoryANC",\
"id": 453,\
"retailer": {\
"name": "Demo Retailer",\
"code": "demo-retailer",\
"id": 500,\
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",\
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",\
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",\
"joined_at": "2021-08-03T17:24:12Z",\
"is_rcn_retailer": false,\
"is_onboarded": false,\
"platform": "fabric",\
"requires_subscription": "disabled",\
"brand_permit_creation_allowed": false,\
"website": "https://demoabc.com",\
"status": "active"\
}\
},\
"inventory": {\
"inventory_updated_at": "2022-09-10T15:24:56Z",\
"inventory_last_submitted_at": "2022-09-10T15:24:56Z",\
"brand_inventory_updated_at": "2022-09-10T15:24:56Z",\
"sellable_updated_at": "2022-11-10T15:24:56Z",\
"estimated_availability_date": "2022-09-10T15:24:56Z",\
"discontinued": true,\
"discontinued_updated_at": null,\
"inventory": 0,\
"sellable": "No",\
"replenishable": true,\
"locations": [\
{\
"id": 1,\
"address": {\
"name1": "Demo Brand, Inc",\
"street1": "1332 Hermosa Ave",\
"city": "Hermosa Beach",\
"province": "CA",\
"postal_code": "90254",\
"country": "US",\
"id": 10,\
"type": "residential",\
"name2": null,\
"street2": null,\
"phone1": "3105551212",\
"phone2": "3105551213",\
"fax": null,\
"email": null,\
"federal_tax_id": null\
},\
"inventory": 0,\
"nickname": "LA Warehouse"\
}\
]\
}\
},\
"net_price": "12.99"\
}\
],\
"adjustments": [\
{\
"id": 566,\
"description": "Sample description for adjustment",\
"net_price": "1.00"\
}\
],\
"acknowledged_at": "2022-09-10T15:24:56Z",\
"credited_at": "2022-09-10T15:24:56Z",\
"created_at": "2022-08-10T15:24:56Z",\
"subtotal": "20.00",\
"credit_amount": "24.00"\
}\
],
"order_batches": [\
{\
"id": 2456\
}\
],
"metadata": [\
{\
"id": 456,\
"name": "MD143",\
"value": "12",\
"type": "string",\
"created_at": "2022-09-10T15:24:56Z"\
}\
],
"connection_shipping_provider_account": {
"id": 123,
"connection": {
"id": "1001",
"brand": {
"code": "demo-brand",
"id": 500,
"name": "Marla Cielo",
"joined_at": "2022-09-10T15:24:56Z",
"logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",
"cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",
"profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",
"website": null,
"is_onboarded": false,
"is_on_rcn": false,
"requires_subscription": "enabled",
"subscription_expires_at": "2024-09-19T13:32:10Z",
"grace_period_ends_at": "2024-10-26T13:32:10Z",
"subscription_is_expired": false,
"subscription_is_on_grace_period": false,
"subscription_is_delinquent": false,
"inventory_policy": "managed",
"status": "active"
},
"retailer": {
"name": "Demo Retailer",
"code": "demo-retailer",
"id": 500,
"logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",
"cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",
"profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",
"joined_at": "2021-08-03T17:24:12Z",
"is_rcn_retailer": false,
"is_onboarded": false,
"platform": "fabric",
"requires_subscription": "disabled",
"brand_permit_creation_allowed": false,
"website": "https://demoabc.com",
"status": "active"
},
"status": "active",
"created_at": "2021-09-10T15:24:56Z",
"level": "full",
"options": {
"name": "Sample Option",
"code": "Sample_Option",
"id": 8753,
"description": "Sample description for connection",
"viewable_by": "All",
"editable_by": "Staff"
},
"metadata": "About us",
"connection_adjustments": [\
{\
"description": "Sample description for monetary adjustments",\
"id": 123442,\
"adjustment_code": {\
"adjustment_type": "Allowance",\
"code": "returns_allowance",\
"description": "returns_allowance",\
"id": 1\
},\
"adjustment_type": "Discount",\
"adjustment_amount_type": "flat",\
"adjustment_amount": "12",\
"content_type": "PDF",\
"object_id": 45646\
}\
],
"integration_type": "API",
[...]
